import React from 'react';
import { ToastProps } from './toast';
interface ToastInstance {
    close: () => void;
}
declare const show: (configOrContent: Partial<ToastProps> | React.ReactNode, duration?: number, afterClose?: () => void) => ToastInstance;
declare const clear: () => void;
declare const success: (content: React.ReactNode, duration?: number, afterClose?: () => void) => ToastInstance;
declare const info: (content: React.ReactNode, duration?: number, afterClose?: () => void) => ToastInstance;
declare const loading: (content: React.ReactNode, duration?: number, afterClose?: () => void) => ToastInstance;
declare const fail: (content: React.ReactNode, duration?: number, afterClose?: () => void) => ToastInstance;
declare const hide: () => void;
export { show, clear, success, info, loading, fail, hide };
